Category Listing
curl --request GET \
--url https://cds.thepublive.com/publisher/{publisher_id}/categories/ \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://cds.thepublive.com/publisher/{publisher_id}/categories/"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://cds.thepublive.com/publisher/{publisher_id}/categories/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"message": "<string>",
"page_no": 123,
"per_page": 123,
"data": [
{
"id": 123,
"name": "<string>",
"slug": "<string>",
"parent_category": {
"id": 123,
"name": "<string>",
"slug": "<string>"
},
"category_brand_color": "<string>",
"absolute_url": "<string>"
}
]
}{
"detail": "Invalid Auth Credentials"
}Category Listing
Returns a paginated list of categories.
GET
/
publisher
/
{publisher_id}
/
categories
/
Category Listing
Authorizations
HTTP Basic Auth using your Publive API key pair, base64-encoded.
Path Parameters
Your Publisher ID
Query Parameters
Page number
Required range:
x <= 1000Number of results per page
Required range:
x <= 50Last modified on August 10, 2026
Was this page helpful?
⌘I